System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The preceding table shows mappings between data types, OLE DB data types (shown in parentheses), and the .NET Framework types. The data types accept System.Char[]as Parameter.Value in parameterized queries.

Specifies the data type of a field, a property, for use in an .

- Field
  System.Data.OleDb.OleDbType To be added

  A 64-bit signed integer (DBTYPE_I8). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A stream of binary data (DBTYPE_BYTES). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A Boolean value (DBTYPE_BOOL). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A null-terminated character string of Unicode characters (DBTYPE_BSTR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A character string (DBTYPE_STR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A currency value ranging from -2 63 (or -922,337,203,685,477.5808) to 2 63 -1 (or +922,337,203,685,477.5807) with an accuracy to a ten-thousandth of a currency unit (DBTYPE_CY). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  Date data, stored as a double (DBTYPE_DATE). The whole portion is the number of days since December 30, 1899, and the fractional portion is a fraction of a day. This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  Date data in the format yyyymmdd (DBTYPE_DBDATE). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  Time data in the format hhmmss (DBTYPE_DBTIME). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  Data and time data in the format yyyymmddhhmmss (DBTYPE_DBTIMESTAMP). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A fixed precision and scale numeric value between -10 38 -1 and 10 38 -1 (DBTYPE_DECIMAL). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A floating-point number within the range of -1.79E +308 through 1.79E +308 (DBTYPE_R8). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  No value (DBTYPE_EMPTY).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 32-bit error code (DBTYPE_ERROR). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 64-bit unsigned integer representing the number of 100-nanosecond intervals since January 1, 1601 (DBTYPE_FILETIME). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A globally unique identifier (or GUID) (DBTYPE_GUID). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType

  This data type is not currently supported by ADO.NET. Usage may cause unpredictable results.

  A pointer to an IDispatch interface (DBTYPE_IDISPATCH). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 32-bit signed integer (DBTYPE_I4). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType

  This data type is not currently supported by ADO.NET. Usage may cause unpredictable results.

  A pointer to an IUnknown interface (DBTYPE_UNKNOWN). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A long binary value ( only). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A long string value ( only). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A long null-terminated Unicode string value ( only). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  An exact numeric value with a fixed precision and scale (DBTYPE_NUMERIC). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  An automation PROPVARIANT (DBTYPE_PROP_VARIANT). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A floating-point number within the range of -3.40E +38 through 3.40E +38 (DBTYPE_R4). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 16-bit signed integer (DBTYPE_I2). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 8-bit signed integer (DBTYPE_I1). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 64-bit unsigned integer (DBTYPE_UI8). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 32-bit unsigned integer (DBTYPE_UI4). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 16-bit unsigned integer (DBTYPE_UI2). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A 8-bit unsigned integer (DBTYPE_UI1). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A variable-length stream of binary data ( only). This maps to an of type .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A variable-length stream of non-Unicode characters ( only). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A special data type that can contain numeric, string, binary, or date data, and also the special values Empty and Null (DBTYPE_VARIANT). This type is assumed if no other is specified. This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A variable-length numeric value ( only). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A variable-length, null-terminated stream of Unicode characters ( only). This maps to .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbType To be added

  A null-terminated stream of Unicode characters (DBTYPE_WSTR). This maps to .

  1.0.5000.0
  2.0.0.0